package com.zcloud.personnel.positioning.api;

import com.zcloud.personnel.positioning.dto.AlarmRuleFenceRelAddCmd;
import com.zcloud.personnel.positioning.dto.AlarmRuleFenceRelPageQry;
import com.zcloud.personnel.positioning.dto.AlarmRuleFenceRelUpdateCmd;
import com.zcloud.personnel.positioning.dto.clientobject.AlarmRuleFenceRelCO;
import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;

import java.util.List;

/**
 * web-client
 *
 * @Author fangjiakai
 * @Date 2026-07-07
 */
public interface AlarmRuleFenceRelServiceI {
    PageResponse<AlarmRuleFenceRelCO> listPage(AlarmRuleFenceRelPageQry qry);

    List<AlarmRuleFenceRelCO> listAll();

    AlarmRuleFenceRelCO queryById(Long id);

    SingleResponse<AlarmRuleFenceRelCO> add(AlarmRuleFenceRelAddCmd cmd);

    void edit(AlarmRuleFenceRelUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);
}
